# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "csml_interpreter"
version = "1.4.1"
authors = ["Alexis Merelo <alexis.merelo@clevy.io>", "François Falala-Sechet <francois@clevy.io>", "Bastien Botella <bastien@clevy.io>", "Jefferson Le Quellec <jefferson.le-quellec@clevy.io>"]
description = "The CSML Interpreter is the official interpreter for the CSML programming language, a DSL designed to make it extremely easy to create rich and powerful chatbots.\n"
homepage = "https://www.csml.dev"
readme = "README.md"
keywords = ["chatbot", "programming-language", "csml"]
categories = ["text-processing"]
license = "Apache-2.0"
repository = "https://github.com/CSML-by-Clevy/csml-engine"

[lib]
name = "csml_interpreter"
crate-type = ["rlib"]

[[example]]
name = "hello_world"

[[example]]
name = "metadata"

[[example]]
name = "event"

[[example]]
name = "memory"

[[example]]
name = "factorial"

[[example]]
name = "bot"
[dependencies.base64]
version = "0.13.0"

[dependencies.bincode]
version = "1.3.1"

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.libc]
version = "0.2.79"

[dependencies.nom]
version = "5.1.2"

[dependencies.nom_locate]
version = "2.1.0"

[dependencies.rand]
version = "0.7.3"

[dependencies.regex]
version = "1.4.1"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.typetag]
version = "0.1"

[dependencies.ureq]
version = "1.5.1"
features = ["json"]
